Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# slist< T > Class Template Reference

`#include <SegmentationTools.h>`

Collaboration diagram for slist< T >:

[legend]
List of all members.

## Public Member Functions
T * | front ()
T * | back ()
void | setLast (T *l)
void | cutFront ()
| slist ()
| ~slist ()
void | push_front (T *lp)
void | push_back (slist< T > &lst)
unsigned | getSize () const
bool | empty ()
void | incSize (unsigned int n)
void | clear ()
T * | pop_front ()
void | insert (T *pos, T *i)
void | erase (T *e)
## Private Attributes
unsigned int | size
T * | first
T * | last

### template<class T>
class slist< T >

## Constructor & Destructor Documentation

template<class T>
slist< T >::slist | ( |  | ) | `[inline]`

| Definition at line 229 of file SegmentationTools.h.

template<class T>
slist< T >::~slist | ( |  | ) | `[inline]`

| Definition at line 230 of file SegmentationTools.h.

## Member Function Documentation

template<class T>
T* slist< T >::front | ( |  | ) | `[inline]`

| Definition at line 223 of file SegmentationTools.h. Referenced by createLinearSegment(), DoubleScanLinesNumber(), and slist< T >::push_back().

template<class T>
T* slist< T >::back | ( |  | ) | `[inline]`

| Definition at line 224 of file SegmentationTools.h. Referenced by slist< T >::push_back().

template<class T>
void slist< T >::setLast | ( | T * | l | ) | `[inline]`

| Definition at line 225 of file SegmentationTools.h.

template<class T>
void slist< T >::cutFront | ( |  | ) | `[inline]`

| Definition at line 227 of file SegmentationTools.h. Referenced by slist< T >::push_back().

template<class T>
void slist< T >::push_front | ( | T * | lp | ) | `[inline]`

| Definition at line 232 of file SegmentationTools.h.

template<class T>
void slist< T >::push_back | ( | slist< T > & | lst | ) | `[inline]`

| Definition at line 241 of file SegmentationTools.h. References slist< T >::back(), slist< T >::cutFront(), slist< T >::front(), and slist< T >::getSize().

Here is the call graph for this function:

template<class T>
unsigned slist< T >::getSize | ( |  | ) | const`[inline]`

| Definition at line 253 of file SegmentationTools.h. Referenced by createLinearSegment(), DoubleScanLinesNumber(), and slist< T >::push_back().

template<class T>
bool slist< T >::empty | ( |  | ) | `[inline]`

| Definition at line 254 of file SegmentationTools.h.

template<class T>
void slist< T >::incSize | ( | unsigned int | n | ) | `[inline]`

| Definition at line 255 of file SegmentationTools.h. Referenced by DoubleScanLinesNumber().

template<class T>
void slist< T >::clear | ( |  | ) | `[inline]`

| Definition at line 257 of file SegmentationTools.h.

template<class T>
T* slist< T >::pop_front | ( |  | ) | `[inline]`

| Definition at line 271 of file SegmentationTools.h.

template<class T>
void slist< T >::insert | ( | T * | pos,
|  | T * | i
| ) | `[inline]`

| Definition at line 282 of file SegmentationTools.h. Referenced by DoubleScanLinesNumber().

template<class T>
void slist< T >::erase | ( | T * | e | ) | `[inline]`

| Definition at line 298 of file SegmentationTools.h. References e.

## Member Data Documentation

template<class T>
unsigned int slist< T >::size`[private]`

| Definition at line 175 of file SegmentationTools.h.

template<class T>
T* slist< T >::first`[private]`

| Definition at line 176 of file SegmentationTools.h.

template<class T>
T * slist< T >::last`[private]`

| Definition at line 176 of file SegmentationTools.h.

The documentation for this class was generated from the following file:

- Modules/ImageProcessor/ImageProcessorTools/SegmentationTools.h